package com.inopiasoft.EventsDroid;

import android.content.Context;
import android.location.Location;
import android.location.LocationManager;

public class EventsLocationManager {

	private double lat;
	private double lon;
	private LocationManager locmgr;
	
	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public double getLon() {
		return lon;
	}

	public void setLon(double lon) {
		this.lon = lon;
	}
	
	public void getLastLocation() {
		
		System.out.println("INTENTANDO GPS");
		try {
        Location l = locmgr.getLastKnownLocation(LocationManager.GPS_PROVIDER);
        if (l == null) {
        
        	l = locmgr.getLastKnownLocation(LocationManager.NETWORK_PROVIDER);
        	if (l==null) {
			    // Coordenades per defecte en cas de fallada    
        		lat = 41.4118315*1E6;
    			lon = 2.1726512*1E6;
        	}
        } 
        if (l == null) {
        	lat = l.getLatitude() *1E6;
        	lon = l.getLongitude()* 1E6;
  
		} else {
			lat = l.getLatitude() * 1E6;
			lon = l.getLongitude()* 1E6;
			System.out.println("Lat: "+lat+ " lon: "+lon);
		}
		} catch (Exception e) {
			lat = 41.4118315* 1E6;
			lon = 2.1726512* 1E6;
			System.out.println("exception: "+e);
			System.out.println("Lat: "+lat+ " lon: "+lon);
		}
}

	public EventsLocationManager(Context c) {
		super();
		
		this.locmgr =  (LocationManager) c.getSystemService(Context.LOCATION_SERVICE);;
		System.out.println("CONSTRUCTOR");
		
	}
}
