package com.inopiasoft.EventsDroid;

import java.util.ArrayList;
import java.util.HashMap;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import android.content.res.Resources;
import android.widget.Toast;

public class EventsApiHelper {

	private ArrayList<HashMap<String, Object>> mylist;
	private String xml;
	private Resources res;
	
	public int getEsdeveniments(String id_tipus_esdeviment, String id_entitat, String orderBy, int lat, int lon) {
		int j = 0;
		System.out.println(res.getString(R.string.base_url)+"indexApi.php?accion=get_esdeveniments&id_tipus_esdeveniment="+id_tipus_esdeviment+"&order="+orderBy+"&lat="+lat+"&lon="+lon);
        xml = XMLfunctions.getXML(res.getString(R.string.base_url)+"indexApi.php?accion=get_esdeveniments&id_tipus_esdeveniment="+id_tipus_esdeviment+"&order="+orderBy+"&lat="+lat+"&lon="+lon+"&id_entitat="+id_entitat);
        System.out.print(xml);
        Document doc = XMLfunctions.XMLfromString(xml);
                
        int numResults = XMLfunctions.numResults(doc);
        
        if((numResults <= 0)){
        	return(numResults);
        }
                
		NodeList nodes = doc.getElementsByTagName("esdeveniment");
		
		for (int i = 0; i < nodes.getLength(); i++) {							
			HashMap<String, Object> map = new HashMap<String, Object>();	
			
			Element e = (Element)nodes.item(i);
			map.put("id_esdeveniment", XMLfunctions.getValue(e, "id_esdeveniment"));
        	map.put("nom", "" + XMLfunctions.getValue(e, "nom"));
        	map.put("datahora", "" + XMLfunctions.getValue(e, "data") + " "+ XMLfunctions.getValue(e, "hora"));        	
        	map.put("entitat", "" + XMLfunctions.getValue(e, "entitat"));
        	map.put("id_entitat", "" + XMLfunctions.getValue(e, "id_entitat"));
        	map.put("lon", "" + XMLfunctions.getValue(e, "lon"));
        	map.put("lat", "" + XMLfunctions.getValue(e, "lat"));
        	System.out.println("DISTANCIA: "+XMLfunctions.getValue(e, "distance"));
        	double dis = Double.parseDouble(XMLfunctions.getValue(e, "distance"));
        	if (dis < 1) { dis = Math.round(dis*1000); 
        		map.put("distance", "" + (int)dis+" m.");
        	} else  {
        		dis = Math.round(dis);
        		map.put("distance", "" + dis+" Km.");
        	}
        	
        	mylist.add(map);
        	j++;
		}
		return (j);
	}

	
	public EventsApiHelper(Resources res) {
		super();
		this.mylist = new ArrayList<HashMap<String, Object>>();
		this.res = res;
	} 


	public ArrayList<HashMap<String, Object>> getMylist() {
		return mylist;
	}


	public void setMylist(ArrayList<HashMap<String, Object>> mylist) {
		this.mylist = mylist;
	}

}