package com.inopiasoft.EventsDroid;

import java.util.HashMap;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;


import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

public class EventsDetailActivity extends Activity implements OnClickListener{
	private String id_entitat ="";
	HashMap<String, Object>  esdevenimentMap;
	String id_esdeveniment;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// 
		super.onCreate(savedInstanceState);
		setContentView(R.layout.detallesdeveniment);
		id_esdeveniment = getIntent().getExtras().getString("id_esdeveniment");
		//Toast.makeText(EventsDetailActivity.this, "ID '" +id_esdeveniment+ " pulsado.", Toast.LENGTH_LONG).show();
		
		crearDetall();
		// Barra de progres, i crrega de dades en segon thread
        /*final ProgressDialog pd = ProgressDialog.show(this, "", "Carregant. Si us plau, esperi...", true);
        new Thread(new Runnable() {
        public void run() {
        	crearDetall();
        	pd.dismiss();
        }
        }).start();*/
		 

		// Enllaem les views dels butons amb el Listener de l'event onClick
		Button b1  = (Button) findViewById(R.id.bt_add_favourite);
				
		
		b1.setOnClickListener(this);
		
		
		

	}

	private void crearDetall() {
		esdevenimentMap = loadEsdeveniment(id_esdeveniment);
		setViewValues(esdevenimentMap);
		/*
		runOnUiThread(new Runnable() {
            public void run() {
            	
            }
        });
		*/
		
	}
	
	/**
	 * 
	 * @param id_esdeveniment
	 * @return
	 */
	private HashMap<String, Object> loadEsdeveniment(String id_esdeveniment) {
		// Carreguem l'esdeveniment via crida a l'API 
		
	    String url = getString(R.string.base_url)+"indexApi.php?accion=get_esdeveniment&id_esdeveniment="+id_esdeveniment; 
		System.out.println("Conectando a : "+url);
	    //ArrayList<HashMap<String, Object>> mylist = new ArrayList<HashMap<String, Object>>();
		String xml = XMLfunctions.getXML(url);
        Document doc = XMLfunctions.XMLfromString(xml);
                
        int numResults = XMLfunctions.numResults(doc);
                        
		NodeList nodes = doc.getElementsByTagName("esdeveniment");
		HashMap<String, Object> map = new HashMap<String, Object>();
		for (int i = 0; i < nodes.getLength(); i++) {							
			map = new HashMap<String, Object>();	
			Element e = (Element)nodes.item(i);
			map.put("id_esdeveniment", XMLfunctions.getValue(e, "id_esdeveniment"));
        	map.put("nom", "" + XMLfunctions.getValue(e, "nom"));
        	NodeList desc = e.getElementsByTagName("descripcio");
            Element line = (Element) desc.item(0);
            System.out.println("Title: " + XMLfunctions.getCharacterDataFromElement(line));
            
        	map.put("descripcio", XMLfunctions.getCharacterDataFromElement(line));

//        	map.put("descripcio", "" + XMLfunctions.getValue(e, "descripcio"));
        	//map.put("datahora", "" + XMLfunctions.getValue(e, "data") + " "+ XMLfunctions.getValue(e, "hora"));
        	map.put("datainici", "" + XMLfunctions.getValue(e, "datainici"));
        	map.put("datafi", "" + XMLfunctions.getValue(e, "datafi"));
        	map.put("entitat", "" + XMLfunctions.getValue(e, "entitat"));
        	id_entitat = XMLfunctions.getValue(e, "id_entitat");
		}
		
		return map;
		
	}
	
	private void setViewValues(HashMap<String, Object> map) {
		
		
		TextView title = (TextView)findViewById(R.id.txt_esdv_title);
		TextView dataInici = (TextView)findViewById(R.id.txtDataInici);
		TextView dataFi = (TextView)findViewById(R.id.txtDataFi);
		TextView descripcio = (TextView)findViewById(R.id.txtDetall);
		TextView entitat = (TextView)findViewById(R.id.txtLloc);
		entitat.setOnClickListener(this);
		
		title.setText(map.get("nom").toString());
		dataInici.setText(map.get("datainici").toString());
		dataFi.setText(map.get("datafi").toString());
		descripcio.setText(Html.fromHtml(map.get("descripcio").toString()));
		entitat.setText(map.get("entitat").toString());
		//TextView tvDescription = (TextView)findViewById(R.id.txt_esdv_title);
		//tvDescription.setMovementMethod(new ScrollingMovementMethod());
//		tvDescription.setText(map.get("descripcio").toString());
	//	tvDescription.setText(Html.fromHtml("<b>hora:</b>10:00<br><p>La pelicula trata de <i>una cosa<i/> <u>maravillosa</u></p><br>"));
		
	}
	
	@Override
	public void onClick(View v) {
		switch(v.getId()){
	       case R.id.bt_add_favourite:
	    	   Intent sharingIntent = new Intent(android.content.Intent.ACTION_SEND);
	    	   sharingIntent.setType("text/plain");
	    	   TextView title = (TextView)findViewById(R.id.txt_esdv_title);
	   		   TextView dataInici = (TextView)findViewById(R.id.txtDataInici);
	   		   TextView entitat = (TextView)findViewById(R.id.txtLloc);
	   		   
	    	   String shareBody = "Activitat interessant: "+title.getText()+" el dia "+dataInici.getText()+ " a l'entitat "+entitat.getText();
	    	   sharingIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Vull compartir amb t");
	    	   sharingIntent.putExtra(android.content.Intent.EXTRA_TEXT, shareBody);
	    	   startActivity(Intent.createChooser(sharingIntent, "Comparteix via"));
	    	   break;
	       
	       case R.id.txtLloc:
	    	   
	    	   Intent k = new Intent(this, EventsEntityActivity.class);
	    	   k.putExtra("id_entitat", id_entitat);
			   startActivity(k);
	    	   break;
	    
		}
	}	
}