package com.inopiasoft.EventsDroid;
/**
 * Mostra la llista d'esdeveniments
 * TODO Barra de progres mentre es carrega
 * static final int PROGRESS_DIALOG = 0;
	// http://developer.android.com/guide/topics/ui/dialogs.html#ProgressDialog
	showDialog(PROGRESS_DIALOG);
	//ToDo ProgressBar3.java

	ProgressThread progressThread;
	ProgressDialog progressDialog;
 */
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import android.app.ListActivity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import android.widget.Toast;

public class EventsEntitiesActivity extends ListActivity  {	

	SimpleAdapter  adapter;
	String orderby ="1"; 
	
	ArrayList<HashMap<String, Object>> mylist;
	String xml; 
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState); 
        
        // Preparamos la lista personalizada
        setContentView(R.layout.listplaceholderentities);
        TextView tv = (TextView) findViewById(R.id.entitatsTitle);
   		tv.setText("Entitats");
   		
        // Barra de progres, i crrega de dades en segon thread
        final ProgressDialog pd = ProgressDialog.show(this, "", "Carregant. Si us plau, esperi...", true);
        new Thread(new Runnable() {
        public void run() {
        	crearListViewEntitats();
        	pd.dismiss();
        }
        }).start();
        
      }

public void crearListViewEntitats() {
    	
   		//SharedPreferences settings = getSharedPreferences(PREFS_NAME, 0);
		//String radi = settings.getString("radi", "1");
		
		 mylist = new ArrayList<HashMap<String, Object>>();
         
         // Obtenim el XML amb les dades del servidor
         String xml = XMLfunctions.getXML(getString(R.string.base_url)+"indexApi.php?accion=get_entitats");
         
         // Es monta el Document, navegable
         Document doc = XMLfunctions.XMLfromString(xml);
         int numResults = XMLfunctions.numResults(doc);
         
         // Si la llista es buida, mostrem error i finalitza
         if((numResults <= 0)){
         	Toast.makeText(EventsEntitiesActivity.this, "No hay resultados", Toast.LENGTH_LONG).show();  
         	finish();
         }
                 
 		NodeList nodes = doc.getElementsByTagName("entitat");
 		
 		for (int i = 0; i < nodes.getLength(); i++) {							
 			HashMap<String, Object> map = new HashMap<String, Object>();	
 			
 			Element e = (Element)nodes.item(i);
 			map.put("nom_entitat", XMLfunctions.getValue(e, "nom_entitat"));
         	map.put("id_entitat", "" + XMLfunctions.getValue(e, "id_entitat"));
         	map.put("num_esdeveniments", "" + XMLfunctions.getValue(e, "num_esdeveniments"));
         	
         	mylist.add(map);			
 		}		
        
 		 adapter = new SimpleAdapter(this, mylist , R.layout.llistaentitat, 
                         new String[] { "nom_entitat", "num_esdeveniments" }, 
                         new int[] { R.id.nom_element_entitat, R.id.num_esdeveniments_entitat});
         
         adapter.setViewBinder(new MyViewBinder());
         
         runOnUiThread(new Runnable() {
             public void run() {
            	 setListAdapter(adapter);
        //stuff that updates ui

            }
        });

         final ListView lv = getListView();
         lv.setTextFilterEnabled(true);	 
         
         lv.setOnItemClickListener(new OnItemClickListener() {
         	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {        		
         		@SuppressWarnings("unchecked")
 				HashMap<String, String> o = (HashMap<String, String>) lv.getItemAtPosition(position);
         		
         		Intent i = new Intent(parent.getContext(), EventsListsActivity.class);
         		i.putExtra("id_entitat", o.get("id_entitat"));
         		i.putExtra("desc_tipus_esdeveniment", o.get("nom_entitat"));
     			startActivity(i);
 			}
 		});
         
		
        
    }
   
    
}