package com.inopiasoft.EventsDroid;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.provider.Settings;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class EventsMenuActivity extends Activity implements OnClickListener{

	EventsDbAdapter edb;


	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// 
		super.onCreate(savedInstanceState);
		setContentView(R.layout.mainmenu);
		String deviceId = Settings.System.getString(getContentResolver(),
                Settings.System.ANDROID_ID);
		System.out.println("ID: "+deviceId);
		TextView tv1 = (TextView) findViewById(R.id.item_opcionmenu1);
		TextView tv2 = (TextView) findViewById(R.id.item_opcionmenu2);
		TextView tv3 = (TextView) findViewById(R.id.item_opcionmenu3);
		//TextView tv4 = (TextView) findViewById(R.id.item_opcionmenu4);
		TextView tv5 = (TextView) findViewById(R.id.item_opcionmenu5);
		tv1.setOnTouchListener(new CustomTouchListener());
        tv2.setOnTouchListener(new CustomTouchListener());
        tv3.setOnTouchListener(new CustomTouchListener());
        //tv4.setOnTouchListener(new CustomTouchListener());
        tv5.setOnTouchListener(new CustomTouchListener());
        
		tv1.setOnClickListener(this);
		tv2.setOnClickListener(this);
		tv3.setOnClickListener(this);
		//tv4.setOnClickListener(this);
		tv5.setOnClickListener(this);
		
		//edb = new EventsDbAdapter(this);
		//edb.open();
		//edb.createFavourite(1);
		//Cursor cfavourite = edb.fetchFavourite(1);
        //startManagingCursor(cfavourite);
        //String a = cfavourite.getString(cfavourite.getColumnIndexOrThrow(EventsDbAdapter.KEY_ROWID));
        //System.out.println("FAVORITE: "+a);
        
	}

	@Override
	public void onClick(View v) {
		
		switch(v.getId()){
		case R.id.item_opcionmenu1:
			Intent i = new Intent(this, EventsTypesActivity.class);
			startActivity(i);			
			break;
		case R.id.item_opcionmenu2: 
			Intent j = new Intent(this, EventsMapActivity.class);
			//Intent i = new Intent(parent.getContext(), EventsDetailActivity.class);
    		j.putExtra("tipusMapa", new String("MULTIPLE"));
			startActivity(j);
			break;
		case R.id.item_opcionmenu3:
			Intent k = new Intent(this, EventsPreferencesActivity.class);
			startActivity(k);
			break;
		/*case R.id.item_opcionmenu4:
			Intent h = new Intent(this, EventsSearcherActivity.class);
			startActivity(h);
			break;*/
		case R.id.item_opcionmenu5:
			Intent l = new Intent(this, EventsEntitiesActivity.class);
			startActivity(l);
			break;
	}
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.menu, menu);
		return true;
	}

	/**
	 * 
	 */
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle item selection
		switch (item.getItemId()) {
		case R.id.configure:
			Intent k = new Intent(this, EventsPreferencesActivity.class);
			startActivity(k);
			return true;
		case R.id.quit:
			quit();
			return true;
		case R.id.about:
			Intent j = new Intent(this, EventsSplashActivity.class);
			startActivity(j);
			return true;
		
		default:
			return super.onOptionsItemSelected(item);
		}
	}
	private void quit() {
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(getString(R.string.exitconfirm))
		.setCancelable(false)
		.setPositiveButton(getString(R.string.yes),
				new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int id) { 
				finish();
			}
		})
		.setNegativeButton(getString(R.string.no),
				new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int id) {
				dialog.cancel();
			}
		});
		AlertDialog alert = builder.create();
		alert.show();
	}
}
